
local ent = ents.Derive("base_character")
local imagedir = "images/char_sol/"


-- Character Settings

player = {}
	player.speed = 50
	player.facing = 1
	player.xOffset = 128


function ent:setPos(x, y)
	self.x = x
	self.y = y
end

function ent:load(x, y)

	self:setPos(x, y)
	self.image = love.graphics.newImage(imagedir .. "/sol_idle_01.png")

	print("Sol Badguy: Created")

end

function ent:update(dt)

	if love.keyboard.isDown("a", "left") then
			player.facing = 1
			self.x = self.x - player.speed * dt
	elseif love.keyboard.isDown("d", "right") then
			player.facing = -1
			self.x = self.x + player.speed * dt
	end

end

function ent:draw()


	love.graphics.setColor(255, 255, 255, 255)
	love.graphics.draw(self.image, self.x, self.y, 0, player.facing, 1, player.xOffset, 0)

end


return ent;
